### Method

# Adw Animationset_follow_enable_animations_setting

since: 1.3

#### Declaration [src]

    void
    adw_animation_set_follow_enable_animations_setting (
      AdwAnimation* self,
      gboolean setting
    )

#### Description [src]

Sets whether to skip `self` when animations are globally disabled.

The default behavior is to skip the animation. Set to `FALSE` to disable this behavior.

This can be useful for cases where animation is essential, like spinners, or in demo applications. Most other animations should keep it enabled.

See `GtkSettings:gtk-enable-animations`.

Available since: 1.3

Sets property | `Adw.Animation:follow-enable-animations-setting`

#### Parameters

`setting`

  Type: `gboolean`

  Whether to follow the global setting.